Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
linhoreka

Căt vụn bản vẽ để không chỉnh sửa được nữa

Các bài được khuyến nghị

MediaFire AutoCAD Drawing Shredder: AutoCAD Drawing Shredder

Chương trình này sẽ cắt vụn các line, arc, polyline, circle trong bản vẽ ra thành nhiều mảnh. Bản vẽ vẫn in được nhưng muốn chỉnh sửa edit thì sẽ rất khó chịu :leluoi:

Sử dụng:

 

1. Gõ lệnh App

2. Appload file dvd ACAD Drawing Shredder vào

3. Run Macro (Alt + F8), chọn macro tên ShredDwg

 

VBA project mở. Bạn có thể vào chỉnh sửa theo ý thích. Hộp hội thoại tớ đề tên tớ. Nhưng các bạn thích có thể thay tên mình vào.

Khi nào cần chương trình nối lại các line arc circle polyline thì email cho tớ. Nhưng khi đó sẽ không còn miễn phí nữa đâu

 

Chỉnh sửa ngày 05-01-2011:

Chủ đề này được tiếp nối ở đây: Khóa bản vẽ. Công cụ khóa bản vẽ đã được phát triển khá hoàn hảo. Mời các bạn sang xem !

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
MediaFire AutoCAD Drawing Shredder: AutoCAD Drawing Shredder

Chương trình này sẽ cắt vụn các line, arc, polyline, circle trong bản vẽ ra thành nhiều mảnh. Bản vẽ vẫn in được nhưng muốn chỉnh sửa edit thì sẽ rất khó chịu :cheers:

Sử dụng:

 

1. Gõ lệnh App

2. Appload file dvd ACAD Drawing Shredder vào

3. Run Macro (Alt + F8), chọn macro tên ShredDwg

 

VBA project mở. Bạn có thể vào chỉnh sửa theo ý thích. Hộp hội thoại tớ đề tên tớ. Nhưng các bạn thích có thể thay tên mình vào.

Khi nào cần chương trình nối lại các line arc circle polyline thì email cho tớ. Nhưng khi đó sẽ không còn miễn phí nữa đâu :leluoi:

Cám ơn bạn đã xây dựng diễn đàn.

Diễn đàn này nhiều nguời tài lắm bạn ạ

Nói vui nhé bản vẽ giấy bị cắt bạn nối đựoc không nhỉ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Diễn đàn đã có topic về việc khóa file dwg. Các bạn đề xuất khóa bằng VBA, chặn các lệnh vẽ lại, chỉ cho Zoom với Print. Nhưng nếu người dùng Disable VBA đi thì coi như VBA không chạy nữa, khóa vẫn còn nguyên chưa mở nhưng cửa đã bị bê đi mất rồi :leluoi:

 

Nếu muốn phát triển chương trình để gây khó chịu tiếp cho Chủ Đầu Tư thì:

+ Chuyển layer cho các đối tượng vẽ lung tung cả lên

+ Exlode các đối tượng dim, mtext ra

v.v

 

Nói chung là việc phá hoại không hay ho gì cả. Làm việc cần hợp tác giúp nhau cùng copy edit và phát triển, hihi

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thực ra thì việc nối lại các đường bị cắt cũng đâu có quá khó ^^ Việc này chỉ làm khó chịu ch ng nhận th :">

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Ketxu này siêu quá ha ! Nối lại thế nào cho trơn tru được như cũ ?

Dù sao đây cũng chỉ là chương trình nghịch vui thôi :leluoi: Tớ mới sửa và update Bảng tính toán kết cấu sử dụng Block trên AutoCAD rồi. Các bạn sang topic bên ấy bình luận nhé. Cheers

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ý,Bác cứ xoáy em.Việc nối lại trơn tru thì quả có khó,vì đã đi theo con đường 1 chiều r,quay lại là dễ bị tóm ngay ^^.N Chẳng phải đâu cao xa,nếu là e,cứ động đến đường nào thì e jp,jl ngay nó lại,còn những đường khác k đụng đến thì...kệ nó ^^ . Nói vui vậy chứ,nếu muốn ng ta khó chịu khi chỉnh xửa thì cũng có thể chuyển ngay file đấy thành dạng file ảnh,hoặc pdf rồi mới gửi :leluoi:,còn mình thì cứ giữ file gốc,tội j đâu nào ^^. Vote bác 1 phiếu đã,htrước e wên

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ý,Bác cứ xoáy em.Việc nối lại trơn tru thì quả có khó,vì đã đi theo con đường 1 chiều r,quay lại là dễ bị tóm ngay ^^.N Chẳng phải đâu cao xa,nếu là e,cứ động đến đường nào thì e jp,jl ngay nó lại,còn những đường khác k đụng đến thì...kệ nó ^^ . Nói vui vậy chứ,nếu muốn ng ta khó chịu khi chỉnh xửa thì cũng có thể chuyển ngay file đấy thành dạng file ảnh,hoặc pdf rồi mới gửi :leluoi:,còn mình thì cứ giữ file gốc,tội j đâu nào ^^. Vote bác 1 phiếu đã,htrước e wên

In ra bản giấy nếu chưa tin vào đối tác các bạn ạ, xem xong rồi >>> xé trước mặt cho chắc.

Một giải pháp thô nhưng an toàn. còn không thì cứ gửi bản vẽ đầy đủ cho họ nể.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tớ nói thế chứ làm sao mà nối lại được ?

1. Thượng sách: Buzz bác Ketxu xem.

2. Trung sách: Bạn tìm file backup hay file autosave av$ của bản vẽ ở đâu đó trong máy, lục trong thư mục temp gì đó restore lại

3. Hạ sách: nhờ các cao thủ diễn đàn nối lại. Tớ chưa phải cao thủ huhu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tớ nói thế chứ làm sao mà nối lại được ?

1. Thượng sách: Buzz bác Ketxu xem.

2. Trung sách: Bạn tìm file backup hay file autosave av$ của bản vẽ ở đâu đó trong máy, lục trong thư mục temp gì đó restore lại

3. Hạ sách: nhờ các cao thủ diễn đàn nối lại. Tớ chưa phải cao thủ huhu

 

Trời ơi là trời, chơi nhau thế hả :cheers:. Giờ làm thế nào, bà ấy bắt gửi rồi đây này :leluoi:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sau khi lưu lại bạn đã thoát ra chưa :cheers: Chưa thì Ctrl Z lại ngay,rồi thì tìm bak của nó thôi :leluoi:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Trời ơi là trời, chơi nhau thế hả :cheers:. Giờ làm thế nào, bà ấy bắt gửi rồi đây này :leluoi:

Hề hề hề,

Thì cứ gửi cho bà ấy rồi bà ấy khắc phải sửa giùm bạn mà..... Hề hề hề, một công đôi việc, lợi đáo để....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mỗi line, pline, arc được cắt thành 10 phần bằng nhau điểm đầu đường này nối vào đít của đường kia. Mình nghĩ để nối lại không khó đâu. Đợi chút mình viết thử xem sao.

Hê hê bác này chơi ác thật...

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Con đường 1 chiều mà đã có người đi ngược lại mà không dự phòng $ rồi kìa ^^

Mình thử ghép lại nhưng bản vẽ nặng quá,có đến 160k đối tượng,mãi mới được 10k,k chờ nổi mình phải C-A-D thoát rồi.Máy cùi mà ^^ Rõ ràng thuật toán nếu quét

qua toàn bộ L,PL,ARC trong bản vẽ,nếu thấy chập vào nhau thì nối lại sẽ làm quá trình xử lý rất chậm,thậm chí tại những điểm có từ 3 đến 4 đường giao nhau còn bị mông ông này cắm nhầm mông ông kia ^^.Có lẽ phải lọc theo đối tượng bằng nhau

Chờ giải thuật bác Tú vậy, nếu k đc thì nhờ bạn linhoreka ,k đc mình làm thủ công cho bạn ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chân thành xin lỗi. Ngoài bị cắt vụn, tất cả các Line Arc đều chuyển về layer 0 nhưng màu sắc thì vẫn giữ nguyên. Nối lại thì khả thi nhưng chuyển layer về như cũ thì chắc chắn pó tay.com

Thượng Sách Ketxu hỏng rồi. Có lẽ tập trung vào Trung Sách: tìm file backup hay autosave đi các bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vấn đề lọc lại đối tượng theo màu sắc thì không khó.Nhưng để biết màu nào thuộc layer nào ở bản gốc thì đúng nà chỉ có ng vẽ mới biết th :cheers:).Rất may là trong bản vẽ này các layer chhưa bị Pu,nên vẫn đoán lờ mờ để dùng qselect đổi lại được ^^ Việc này có lẽ nên làm trước khi xử lý :leluoi:

Tks bác vì bài toán khó ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vấn đề lọc lại đối tượng theo màu sắc thì không khó.Nhưng để biết màu nào thuộc layer nào ở bản gốc thì đúng nà chỉ có ng vẽ mới biết th :cheers:).Rất may là trong bản vẽ này các layer chhưa bị Pu,nên vẫn đoán lờ mờ để dùng qselect đổi lại được ^^ Việc này có lẽ nên làm trước khi xử lý :leluoi:

Tks bác vì bài toán khó ^^

Các bạn thử cái này. Mình viết vội nên chỉ đưa ra tường hợp đường thẳng thôi.với lại có một số chỗ bị sai.

(defun c:phahoai ()
(vl-load-com)
 (setq ss (ssget '((0 . "LINE,ARC"))))
 (setq lss (acet-ss-to-list ss))
 (setq i 0)
 (foreach n lss
   (if (= (cdr (assoc 0 (entget n))) "LINE")
     (progn
(setq p1 (cdr (assoc 10 (entget n))))
(setq p2 (cdr (assoc 11 (entget n))))
(command "join" n "f" p1 p2 "" "")
)
     )
   )
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tớ nói thế chứ làm sao mà nối lại được ?

1. Thượng sách: Buzz bác Ketxu xem.

2. Trung sách: Bạn tìm file backup hay file autosave av$ của bản vẽ ở đâu đó trong máy, lục trong thư mục temp gì đó restore lại

3. Hạ sách: nhờ các cao thủ diễn đàn nối lại. Tớ chưa phải cao thủ huhu

Ý Bác này là:

Khi nào cần chương trình nối lại các line arc circle polyline thì email cho tớ. Nhưng khi đó sẽ không còn miễn phí nữa đâu :leluoi:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trả tiền thì tớ ... vẽ lại thôi chứ không có chương trình nối :cheers:

 

"Người Do Thái vặn hỏi Jesus: "Ông có phép lạ nào chứng tỏ ông là Đức Cơ Đốc ?" Jesus đáp: "Phá hủy thánh điện này đi rồi trong ba ngày Ta sẽ dựng lại" Người Do Thái hỏi lại: "Người ta phải mất bốn mươi sáu năm để xây thánh điện này mà ông chỉ cần ba ngày để dựng lại sao ?" Nhưng thánh điện Jesus nói đây là thân xác Ngài. Vì vậy sau khi Phục sinh trên cây thánh giá sau 3 ngày, các môn đệ mới nhớ ra lời Ngài nói" - Tân Ước, Giăng

 

Xin nhận án treo 3 ngày không vào diễn đàn nữa vì nói phét :leluoi:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bạn thử cái này. Mình viết vội nên chỉ đưa ra tường hợp đường thẳng thôi.với lại có một số chỗ bị sai.

Các bạn thử code mới này sẽ khắc phục lỗi sai không ưng ý:

(defun c:phahoai ()
 (setq ss (ssget '((0 . "LINE,ARC"))))
 (setq lss (acet-ss-to-list ss))
 (setq i 0)
 (foreach n lss
   (if (= (cdr (assoc 0 (entget n))) "LINE")
     (progn
(setq p1 (cdr (assoc 10 (entget n))))
(setq p2 (cdr (assoc 11 (entget n))))
(setq mau (cdr (assoc 62 (entget n))))
(setq lnoi (ssget "c" p1 p2 (list (cons 62 mau))))
(if lnoi
(command "join" n lnoi "")
  )
)
     )
   )
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:leluoi: Vấn đề chém gió chẳng có gì là xấu cả ^^(trừ khi bác có thể giaiải quyết n vẫn giữ ý :s_big: ) Chỉ có điều bài toán đã đưa ra thì cùng nhau giải quyết mới hay chứ.Thực sự là nếu làm thủ công để nối lại gần như nguyên vẹn file thì cũng mất 1 tiếng đồng hồ trở lên, quả có tí nản :cheers:

@ Bác tu : e nghĩ vẫn nên chuyển về layer cũ trước khi xử lý.Bản vẽ này nặng quá,làm máy cùi của e khi quét chọn còn Not Responding, đành phải tătắt cả Grips đi nữa cơ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
:leluoi: Vấn đề chém gió chẳng có gì là xấu cả ^^(trừ khi bác có thể giaiải quyết n vẫn giữ ý :s_big: ) Chỉ có điều bài toán đã đưa ra thì cùng nhau giải quyết mới hay chứ.Thực sự là nếu làm thủ công để nối lại gần như nguyên vẹn file thì cũng mất 1 tiếng đồng hồ trở lên, quả có tí nản :cheers:

@ Bác tu : e nghĩ vẫn nên chuyển về layer cũ trước khi xử lý.Bản vẽ này nặng quá,làm máy cùi của e khi quét chọn còn Not Responding, đành phải tătắt cả Grips đi nữa cơ

Giữ nguyên layer có cái hay của nó bạn. Để test thì bạn nên chọn một nhóm đối tượng thôi ví dụ như 1 bản vẽ chẳng hạn. Vấn đề mình giải quyết được khoảng 90% còn lại vẫn phải là thủ công thì mới chuẩn.

Các anh em cho ý kiếm tiếp nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ủa, vẫn là vấn đề làm sao khóa bản vẽ: AutoCAD còn cho tính năng Block không thể explode. Sao chúng ta không block hết bản vẽ lại nhỉ. Làm thế có lẽ chỉ người lập trình mới lôi được dữ liệu ra khỏi block, còn người dùng thông thường chắc chịu ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ủa, vẫn là vấn đề làm sao khóa bản vẽ: AutoCAD còn cho tính năng Block không thể explode. Sao chúng ta không block hết bản vẽ lại nhỉ. Làm thế có lẽ chỉ người lập trình mới lôi được dữ liệu ra khỏi block, còn người dùng thông thường chắc chịu ?

Khoá theo kiểu này của bạn đã đủ chết rồi còn gì. Có phải ai cũng biết lisp mà mở khoá được đâu (chỉ khoá được người ngay thôi còn kẻ gian thì....)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cách khóa triệt để nhất là chọn hết các đối tượng,rồi ấn E,rồi ấn Space, rồi Ctrl S, rồi Alt F4,OK,rồi gửi cho người ta :leluoi:.Thực chất chuyển sang pdf đã là khá ổn rồi,lúc convert lại cũng vỡ mặt ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×